Package uk.ac.starlink.vo

## Class AbstractAdqlExample.Breaker

- java.lang.Object
- - uk.ac.starlink.vo.AbstractAdqlExample.Breaker

- Enclosing class:
    AbstractAdqlExample

      public abstract static class AbstractAdqlExample.Breaker
      extends java.lang.Object

  Interface for configurable line breaking.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Breaker()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.lang.String` | `level​(int ilev)` | Returns a string which can be used to separate parts of an output example string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Breaker

          public Breaker()

  - ### Method Detail

    - #### level

          public abstract java.lang.String level​(int ilev)

      Returns a string which can be used to separate parts of an output example string.
      Parameters:
        `ilev` - notional indentation level
      Returns:
        whitespace string